import java.util.logging.Logger;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Plugin {
	// Debug logger
	private final Logger logDebug = Logger.getLogger("ReplaceStringPlugin");

	public void StrReplace (LogiPluginObjects lgxobjects)
	{
		try {
			String html = lgxobjects.getResponseHtml();
			String currUrl = lgxobjects.getPluginParameters().get("current").toString();
			String replaceUrl = lgxobjects.getPluginParameters().get("replace").toString();
			
			Pattern p = Pattern.compile(currUrl, Pattern.CASE_INSENSITIVE);
			Matcher m = p.matcher(html);
			html = m.replaceAll(replaceUrl);
			//html.replaceAll(currUrl,replaceUrl);
			lgxobjects.setResponseHtml(html);
		}
		catch (Exception e ) {
			logDebug.severe(e.getMessage());
		}
	}
}
